
CephFS - Bug #1792

crash in ceph-mds

12/06/2011 11:34 AM - Josh Durgin

Status: Can't reproduce % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Source:  ceph-qa-suite:  

Tags:  Component(FS):  

Backport:  Labels (FS):  

Regression:  Pull request ID:  

Severity:  Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Affected Versions:    

Description

This is the full log from teuthology:~

teuthworker/archive/nightly_coverage_2011-12-01-b/3516/remote/ubuntu@sepia70.ceph.dreamhost.com/log/mds.0.log.gz:

2011-12-01 12:07:19.499654 7ff31b854780 ceph version 0.38-266-gcce6717 (commit:cce67171a783965e81a

7f806d7275a281e7d137a), process ceph-mds, pid 18072

2011-12-01 12:07:19.501528 7ff3179b7700 mds.-1.0 ms_handle_connect on 10.3.14.193:6790/0

2011-12-01 12:07:22.502048 7ff3179b7700 mds.-1.0 ms_handle_connect on 10.3.14.198:6791/0

2011-12-01 12:07:25.501746 7ff3179b7700 mds.-1.0 ms_handle_connect on 10.3.14.193:6790/0

2011-12-01 12:07:28.501685 7ff3179b7700 mds.-1.0 ms_handle_connect on 10.3.14.197:6789/0

2011-12-01 12:07:31.502042 7ff3179b7700 mds.-1.0 ms_handle_connect on 10.3.14.198:6791/0

2011-12-01 12:07:34.501954 7ff3179b7700 mds.-1.0 ms_handle_connect on 10.3.14.197:6789/0

2011-12-01 12:07:37.212360 7ff3179b7700 mds.-1.0 handle_mds_map standby

2011-12-01 12:07:37.804575 7ff3179b7700 mds.0.1 handle_mds_map i am now mds.0.1

2011-12-01 12:07:37.804599 7ff3179b7700 mds.0.1 handle_mds_map state change up:standby --> up:crea

ting

2011-12-01 12:07:37.804997 7ff3179b7700 mds.0.cache creating system inode with ino:1

2011-12-01 12:07:37.805247 7ff3179b7700 mds.0.cache creating system inode with ino:2

2011-12-01 12:07:37.805677 7ff3179b7700 mds.0.cache creating system inode with ino:100

2011-12-01 12:07:37.805708 7ff3179b7700 mds.0.cache creating system inode with ino:600

2011-12-01 12:07:37.805828 7ff3179b7700 mds.0.cache creating system inode with ino:601

2011-12-01 12:07:37.805960 7ff3179b7700 mds.0.cache creating system inode with ino:602

2011-12-01 12:07:37.806037 7ff3179b7700 mds.0.cache creating system inode with ino:603

2011-12-01 12:07:37.806146 7ff3179b7700 mds.0.cache creating system inode with ino:604

2011-12-01 12:07:37.806255 7ff3179b7700 mds.0.cache creating system inode with ino:605

2011-12-01 12:07:37.806363 7ff3179b7700 mds.0.cache creating system inode with ino:606

2011-12-01 12:07:37.806448 7ff3179b7700 mds.0.cache creating system inode with ino:607

2011-12-01 12:07:37.806542 7ff3179b7700 mds.0.cache creating system inode with ino:608

2011-12-01 12:07:37.806614 7ff3179b7700 mds.0.cache creating system inode with ino:609

2011-12-01 12:07:37.806708 7ff3179b7700 mds.0.cache creating system inode with ino:200

2011-12-01 12:07:37.807125 7ff3179b7700 mds.0.1 ms_handle_connect on 10.3.14.193:6800/23123

2011-12-01 12:07:50.066877 7ff3179b7700 mds.0.1 ms_handle_connect on 10.3.14.197:6800/18057

2011-12-01 12:07:50.163875 7ff3179b7700 mds.0.1 creating_done

2011-12-01 12:07:50.447158 7ff3179b7700 mds.0.1 handle_mds_map i am now mds.0.1

2011-12-01 12:07:50.447178 7ff3179b7700 mds.0.1 handle_mds_map state change up:creating --> up:act

ive

2011-12-01 12:07:50.447188 7ff3179b7700 mds.0.1 active_start

2011-12-01 12:07:50.447576 7ff3154ae700 -- 10.3.14.197:6803/18072 >> 10.3.14.198:0/2395844113 pipe

(0x1c6c780 sd=11 pgs=0 cs=0 l=0).accept peer addr is really 10.3.14.198:0/2395844113 (socket is 10

.3.14.198:37614/0)

2011-12-01 12:08:00.248599 7ff3154ae700 -- 10.3.14.197:6803/18072 >> 10.3.14.198:0/2395844113 pipe
(0x1c6c780 sd=11 pgs=2 cs=1 l=0).fault initiating reconnect

*** Caught signal (Segmentation fault) **

 in thread 7ff3179b7700

 ceph version 0.38-266-gcce6717 (commit:cce67171a783965e81a7f806d7275a281e7d137a)

 1: /tmp/cephtest/binary/usr/local/bin/ceph-mds() [0x917344]

 2: (()+0xfb40) [0x7ff31b434b40]

 3: [0x1cae050]

History

#1 - 02/24/2012 01:51 PM - Sage Weil

- Status changed from New to Can't reproduce

even if we could, we would never know, since there isn't any distinguishing info here, and the teuth archive is gone.

#2 - 09/20/2016 11:00 AM - John Spray

- Project changed from Ceph to CephFS

- Category deleted (1)

Bulk updating project=ceph category=mds bugs so that I can remove the MDS category from the Ceph project to avoid confusion.
